## org.freedesktop.NetworkManager.VPN.Connection org.freedesktop.NetworkManager.VPN.Connection — Active VPN Connection. |

## Signals

    VpnStateChanged (u state,
                     u reason);

## Properties

    VpnState  readable   u
    Banner    readable   s

## Description

Represents an active connection to a Virtual Private Network.

## Signal Details

### The "VpnStateChanged" signal

    VpnStateChanged (u state,
                     u reason);

Emitted when the state of the VPN connection has changed.

`u `state``: | (NMVpnConnectionState) The new state of the VPN connection.
`u `reason``: | (NMActiveConnectionStateReason) Reason code describing the change to the new state.

## Property Details

### The "VpnState" property

    VpnState  readable   u

The VPN-specific state of the connection.

Returns: NMVpnConnectionState

### The "Banner" property

    Banner  readable   s

The banner string of the VPN connection.